# Asterisk Project : Asterisk 12 Function_REALTIME_HASH

Added by wikibot , edited by wikibot on Aug 29, 2013

# REALTIME_HASH()

### Synopsis

RealTime query function.

### Description

This function retrieves a single record from the RT engine, where fieldmatch contains the value matchvalue and formats the output suitably, such that it can be assigned to the HASH() function. The HASH() function then provides a suitable method for retrieving each field value of the record.

### Syntax

    REALTIME_HASH(family,fieldmatch,matchvalue)

##### Arguments

- `family`
- `fieldmatch`
- `matchvalue`

### See Also

- Asterisk 12 Function_REALTIME
- Asterisk 12 Function_REALTIME_STORE
- Asterisk 12 Function_REALTIME_DESTROY
- Asterisk 12 Function_REALTIME_FIELD

### Import Version

This documentation was imported from Asterisk Version Unknown